import { gql } from "@apollo/client";

export const GET_ALL_PAGE_INFO = gql`
  query AllInfos {
    allUserAppInfos {
      nodes {
        id
        rowId
        title
        content
      }
    }
  }
`;

export interface PageInfo {
  id: string;
  rowId: string;
  title: string;
  content: string;
}

export interface GetAllPageInfoResponse {
  allUserAppInfos: {
    nodes: Array<PageInfo>;
    __typename: "UserAppInfosConnection";
  };
}
