import { gql } from "@apollo/client";
import { GetAllPageInfoResponse } from "../queries/page_info";

export const EDIT_INFOS = gql`
  mutation UpdateInfos(
    $id: ID!
    $title: String
    $content: String
    $rowId: String
  ) {
    updateUserAppInfo(
      input: {
        id: $id
        userAppInfoPatch: { content: $content, rowId: $rowId, title: $title }
        clientMutationId: ""
      }
    ) {
      clientMutationId
    }
  }
`;

export interface EditInfosResponse {
  updateUserAppInfo: GetAllPageInfoResponse;
}
